#
# Conditional build:
%bcond_without	apidocs		# gtk-doc documentation
%bcond_with	static_libs	# static library

Summary:	Utility library for the Xfce desktop environment
Summary(pl.UTF-8):	Biblioteka narzędziowa dla środowiska Xfce
Name:		libxfce4util
Version:	4.16.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://archive.xfce.org/src/xfce/libxfce4util/4.16/%{name}-%{version}.tar.bz2
# Source0-md5:	5a2a7b72c0357f410d8e0d4190beeae2
URL:		https://www.xfce.org/projects/libxfce4
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gobject-introspection-devel >= 1.30.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.9}
BuildRequires:	gtk-doc-automake >= 1.9
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	vala
BuildRequires:	xfce4-dev-tools >= 4.16.0
Requires:	glib2 >= 1:2.50.0
Requires:	xfce4-dirs >= 4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Basic utility non-GUI functions for Xfce.

%description -l pl.UTF-8
Podstawowe funkcje narzędziowe nie związane z GUI dla Xfce.

%package devel
Summary:	Development files for libxfce4util library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxfce4util
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.50.0

%description devel
Development files for the libxfce4util library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libxfce4util.

%package static
Summary:	Static libxfce4util library
Summary(pl.UTF-8):	Statyczna biblioteka libxfce4util
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libxfce4util library.

%description static -l pl.UTF-8
Statyczna biblioteka libxfce4util.

%package apidocs
Summary:	libxfce4util API documentation
Summary(pl.UTF-8):	Dokumentacja API libxfce4util
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "4.6"
BuildArch:	noarch
%endif

%description apidocs
libxfce4util API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libxfce4util.

%package tools
Summary:	Tools for libxfce4util library
Summary(pl.UTF-8):	Narzędzia biblioteki libxfce4util
License:	GPL v2+
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description tools
Tools for libxfce4util library.

%description tools -l pl.UTF-8
Narzędzia biblioteki libxfce4util.

%package -n vala-libxfce4util
Summary:	Vala API for libxfce4util library
Summary(pl.UTF-8):	API języka Vala do biblioteki libxfce4util
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala

%description -n vala-libxfce4util
Vala API for libxfce4util library.

%description -n vala-libxfce4util -l pl.UTF-8
API języka Vala do biblioteki libxfce4util.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--enable-gtk-doc%{!?with_apidocs:=no} \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}/libxfce4util}

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

# duplicates of hy,ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hye,hy_AM,ur_PK}
# not supported by glibc (as of 2.32)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS THANKS TODO
%attr(755,root,root) %{_libdir}/libxfce4util.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfce4util.so.7
%{_libdir}/girepository-1.0/Libxfce4util-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfce4util.so
%dir %{_includedir}/xfce4
%{_includedir}/xfce4/libxfce4util
%{_pkgconfigdir}/libxfce4util-1.0.pc
%{_datadir}/gir-1.0/Libxfce4util-1.0.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxfce4util.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/xfce4-kiosk-query

%files -n vala-libxfce4util
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libxfce4util-1.0.vapi
%changelog
* Mon Dec 28 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libxfce4util.git;a=log;h=master

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> bdcbdc9
- up to 4.16.0

* Tue Sep 01 2020 Jakub Bogusz <qboosh@pld-linux.org> f64837a
- https Source URL

* Tue Sep 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 0d33a4f
- locales cleanup cleanup

* Wed Aug 21 2019 Adam Gołębiowski <adamg@pld-linux.org> 7918f2e
- release 2, remove unsupported hy_AM locale

* Wed Aug 21 2019 Adam Gołębiowski <adamg@pld-linux.org> baa232c
- updated to 4.14.0 (xfce-4.14)

* Tue Jul 02 2019 Jakub Bogusz <qboosh@pld-linux.org> 692b9b2
- updated to 4.13.4
- package vala API

* Sun Jun 09 2019 Jan Rękorajski <baggins@pld-linux.org> 52c7ce5
- there is no ie locale
- rel 2

* Sun Jun 09 2019 Jan Rękorajski <baggins@pld-linux.org> 1d4be85
- up to 4.13.3

* Sun Jun 10 2018 Jan Rękorajski <baggins@pld-linux.org> 9bded82
- up to 4.13.1

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> 2b757c0
- noarch apidocs

* Sat Mar 28 2015 Jan Rękorajski <baggins@pld-linux.org> 775f374
- up to 4.12.1

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 8783cd8
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 17f730b
- updated gettext BR

* Mon Aug 25 2014 Jakub Bogusz <qboosh@pld-linux.org> ddd576e
- updated dependencies, unified subpackages order

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> aca9b57
- fixed install
- rel 2

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> f4dc7db
- up to 4.11.0

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 90b07cb
- disable static libs
- update soname

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> f674bc5
- xfce 4.10

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 8821e3a
- 4.10.0

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 35baf31
- merged from DEVEL

